site_name: Snuffi
repo_url: https://git.jakest.us/snuffi/web
repo_name: snuffi/web
edit_uri: _edit/main/docs/
theme:
  name: material
  custom_dir: overrides
  logo: /nerdyhog.png
  favicon: /nerdyhog.png
  icon:
    repo: simple/forgejo
    edit: fontawesome/solid/pencil 
    view: fontawesome/solid/eye
  features:
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.sections
    - navigation.path
    - navigation.indexes
    - content.code.copy
    - content.action.edit
    - content.tooltips
    - content.footnote.tooltips
  palette:
    scheme: slate
    primary: teal
    accent: teal
extra:
  social:
    - icon: fontawesome/solid/gear
      link: https://panel.snuff.fi
      name: Control panel
    - icon: simple/forgejo
      link: https://git.jakest.us/snuffi/
      name: Our Git
    - icon: simple/matrix
      link: https://matrix.to/#/@jt:neo.jakest.us
      name: Chat with me on Matrix
  generator: false
copyright: |
  <a href=\"http://panel.snuff.fi\">Control panel</a>
  <br>Bout meh: <a href=\"https://jakest.us\">jakest.us</a>
  <br>2025 Jarkko Toivanen
extra_css:
  - extra.css
markdown_extensions:
  - admonition
  - tables
  - footnotes
  - abbr
  - attr_list
  - def_list
  - pymdownx.snippets
  - pymdownx.details
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - pymdownx.critic
  - pymdownx.caret
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.tilde
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
      options:
        custom_icons:
          - overrides/.icons
